Subject: Re: bug#21831: 24.5 on Windows; start-process modifies its PROGRAM argument
From: Eli Zaretskii <[email-masked]>
To: Cornelius Mika <[email-masked]>
Cc: [email-masked]
Date: Wed, 04 Nov 2015 23:01:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Cornelius Mika <[email-masked]>
> Date: Wed, 4 Nov 2015 21:31:55 +0100
> 
> start-process normalizes the given PROGRAM path by destructively modifying its
> contents.
> This is problematic if the path variable is reused later on.
> 
> Minimal repro:
> (let ((path "c:/Windows/System32/clip.exe"))
> (start-process "" nil path)
> path) ; => "c:\\Windows\\System32\\clip.exe"
> 
> In GNU Emacs 24.5.1 (i686-pc-mingw32)
> of 2015-04-11 on LEG570
> Windowing system distributor `Microsoft Corp.', version 6.3.9600
> Configured using:
> `configure --prefix=/c/usr --host=i686-pc-mingw32'

Thanks.

I can reproduce this in Emacs 24.5, but not in the current development
sources.  So this problem was already fixed as part of the development
since then, and I see the code which was added to avoid this.

So I'm marking this bug done.